Subject: [bug#78390] [PATCH electronics-team] gnu: nextpnr: Add ecp5 and himbaechel architectures.

From: Cayetano Santos <[email-masked]>
Date: Wed, 21 May 2025 11:52:40 +0200

>mer. 21 mai 2025 at 18:18, Maxim Cournoyer <[email-masked]> wrote:

>> + (commit "06d3b424dd0e52d678087c891c022544238fb9e3")))
>> +                   (sha256
>> +                    (base32
>> + "17dd3cgms2fy6xvz7magdmvv92km4cqh2kz9dyjrvz5y8caqav4y")))
>> +               "/tmp/prjbeyond-db")))
>
> I didn't see any distribution terms for the above files, so I asked [0].
> I think we should wait for an answer before merging this change, to be
> on the safe side.
>
> Otherwise, LGTM.
>
> [0]  https://github.com/YosysHQ-GmbH/prjbeyond-db/issues/2

Good catch ! I absolutely missed this point.

Some device backends follow the same pattern, as it seems: using the
proprietary tools to produce a db, which is then used by the p&r tool. I
guess this is the price to pay for having a completely open design
toolchain.

C.